"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultMermaidEntityId = exports.MermaidConsts = exports.MermaidAction = exports.mermaidNodeType = exports.mermaidNodeName = exports.MermaidAttrs = void 0;
const entity_id_1 = require("../../../../utils/entity-id.js");
const schema_1 = require("../../../../utils/schema.js");
var MermaidAttrs;
(function (MermaidAttrs) {
    // @ts-expect-error error TS18055
    MermaidAttrs["EntityId"] = "data-entity-id";
    MermaidAttrs["content"] = "content";
    MermaidAttrs["class"] = "class";
    // MAJOR: remove before next major
    /** @deprecated This is no longer used. Removed in next major version */
    MermaidAttrs["newCreated"] = "newCreated";
})(MermaidAttrs || (exports.MermaidAttrs = MermaidAttrs = {}));
exports.mermaidNodeName = 'mermaid';
exports.mermaidNodeType = (0, schema_1.nodeTypeFactory)(exports.mermaidNodeName);
exports.MermaidAction = 'createMermaid';
exports.MermaidConsts = {
    NodeName: exports.mermaidNodeName,
    NodeAttrs: MermaidAttrs,
    nodeType: exports.mermaidNodeType,
};
exports.defaultMermaidEntityId = exports.mermaidNodeName + '#0';
//# sourceMappingURL=const.js.map
