import { type QAProps } from '@gravity-ui/uikit';
import { type ClassNameProps } from "../classname.js";
import type { ToolbarsPreset } from "../modules/toolbars/types.js";
import type { Editor } from "./Editor.js";
import { type SettingItems } from "./settings/index.js";
import type { MToolbarData, MToolbarItemData, WToolbarData, WToolbarItemData } from "./toolbar/types.js";
import "../styles/styles.css";
import "./MarkdownEditorView.css";
export declare const cnEditorComponent: import("@bem-react/classname").ClassNameFormatter;
type ToolbarConfigs = {
    /**
     * @deprecated use `toolbarsPreset` instead
     */
    markupToolbarConfig?: MToolbarData;
    /**
     * @deprecated use `toolbarsPreset` instead
     */
    wysiwygToolbarConfig?: WToolbarData;
    /**
     * @deprecated use `toolbarsPreset` instead
     */
    markupHiddenActionsConfig?: MToolbarItemData[];
    /**
     * @deprecated use `toolbarsPreset` instead
     */
    wysiwygHiddenActionsConfig?: WToolbarItemData[];
};
type ViewProps = {
    editor?: Editor;
    autofocus?: boolean;
    /** @default true */
    settingsVisible?: boolean | SettingItems[];
    toolbarsPreset?: ToolbarsPreset;
    stickyToolbar: boolean;
    enableSubmitInPreview?: boolean;
    hidePreviewAfterSubmit?: boolean;
};
export type MarkdownEditorViewProps = ClassNameProps & ToolbarConfigs & ViewProps & QAProps & {};
export declare const MarkdownEditorView: import("react").ForwardRefExoticComponent<ClassNameProps & ToolbarConfigs & ViewProps & QAProps & import("react").RefAttributes<HTMLDivElement>>;
export {};
