import type { ExtensionAuto } from "../../../core/index.js";
import { type ContextConfig } from "./tooltip.js";
export type { ContextConfig as SelectionContextConfig, ContextGroupItemData as SelectionContextItemData, } from "./tooltip.js";
export type SelectionContextOptions = {
    config?: ContextConfig;
    /**
     * Placement of context popup
     *
     * @default 'bottom'
     */
    placement?: 'top' | 'bottom';
    /**
     * Prevents context popup from overflowing
     *
     * @default false
     */
    flip?: boolean;
};
export declare const SelectionContext: ExtensionAuto<SelectionContextOptions>;
declare module 'prosemirror-model' {
    interface NodeSpec {
        /** Set false to disable the selection-context menu within this node */
        selectionContext?: boolean | undefined;
    }
}
