import attrsPlugin, {} from 'markdown-it-attrs';
import { noop } from "../../../../lodash.js";
const defaultAttrsOpts = {
    allowedAttributes: ['id'],
};
export const YfmConfigsSpecs = (builder, opts) => {
    const attrsOpts = { ...defaultAttrsOpts, ...opts.attrs };
    // MAJOR: remove markdown-it-attrs
    if (!opts.disableAttrs) {
        builder.configureMd((md) => md.use(attrsPlugin, attrsOpts), { text: false });
    }
    // ignore yfm lint token
    builder.addNode('__yfm_lint', () => ({
        spec: {},
        fromMd: { tokenSpec: { name: '__yfm_lint', type: 'node', ignore: true } },
        toMd: noop,
    }));
};
//# sourceMappingURL=index.js.map
