import { type ClassNameProps } from "../classname.js";
import "./ImageForm.css";
export type ImageFormSubmitParams = {
    url: string;
    name: string;
    alt: string;
    width?: number;
    height?: number;
};
export type ImageFormProps = ClassNameProps & {
    autoFocus?: boolean;
    onSubmit(params: ImageFormSubmitParams): void;
    onCancel(): void;
    onAttach?: (files: File[]) => void;
    loading?: boolean;
    imageTitle?: string;
    uploadHint?: string;
};
export declare const ImageForm: React.FC<ImageFormProps>;
